Bug 1254348 - RHCI RHEL-H for RHEV 3.5 repos don't match actual RHEV requirements
RHCI RHEL-H for RHEV 3.5 repos don't match actual RHEV requirements
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHEV (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: TP2
: 1.0
Assigned To: Jesus M. Rodriguez
Tasos Papaioannou
Dan Macpherson
: Triaged
Depends On:
Blocks: rhci-sprint-11
  Show dependency treegraph
 
Reported: 2015-08-17 15:41 EDT by Thom Carlin
Modified: 2016-04-29 12:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-08-17 15:41:43 EDT
Description of problem:

RHCI deploys a RHEV hypervisor successfully but repositories don't match RHEV's list.

Version-Release number of selected component (if applicable):

Tech preview rc-1

How reproducible:

100%

Steps to Reproduce:
1. Deploy RHCI
2. Examine repositories for RHEV hypervisor
3.

Actual results:

jb-eap-6-for-rhel-6-server-rpms JBoss Enterprise Application Platform 6 (RHEL 6 Server) (RPMs)
rhel-6-server-rhev-mgmt-agent-rpms Red Hat Enterprise Virtualization Management Agents (RPMs)
rhel-6-server-rhevm-3.5-rpms Red Hat Enterprise Virtualization Manager 3.5 (RPMs)
rhel-6-server-rpms Red Hat Enterprise Linux 6 Server (RPMs)
rhel-6-server-satellite-tools-6-beta-rpms Red Hat Satellite Tools 6 Beta (for RHEL 6 Server) (RPMs)
rhel-6-server-supplementary-rpms

Expected results:

rhel-x86_64-rhev-mgmt-agent-6 Red Hat Enterprise Virt Management Agent (v.6 for x86_64)
rhel-x86_64-server-6 Red Hat Enterprise Linux Server (v. 6 for 64-bit x86_64)
rhel-6-server-satellite-tools-6-beta-rpms Red Hat Satellite Tools 6 Beta (for RHEL 6 Server) (RPMs)

Additional info:

Remove jb-eap-6-for-rhel-6-server-rpms
Remove rhel-6-server-rhevm-3.5-rpms

Please doublecheck list is correct
Comment 1 John Matthews 2015-11-04 11:26:23 EST
I think sherr has already fixed this in fusor.yaml.  This BZ may be a quick check and close.
Comment 2 Jesus M. Rodriguez 2015-12-04 20:02:17 EST
(In reply to Thom Carlin from comment #0)
> Description of problem:
> 
> RHCI deploys a RHEV hypervisor successfully but repositories don't match
> RHEV's list.
> 
> Version-Release number of selected component (if applicable):
> 
> Tech preview rc-1
> 
> How reproducible:
> 
> 100%
> 
> Steps to Reproduce:
> 1. Deploy RHCI
> 2. Examine repositories for RHEV hypervisor
> 3.
> 
> Actual results:
> 
> jb-eap-6-for-rhel-6-server-rpms JBoss Enterprise Application Platform 6
> (RHEL 6 Server) (RPMs)
> rhel-6-server-rhev-mgmt-agent-rpms Red Hat Enterprise Virtualization
> Management Agents (RPMs)
> rhel-6-server-rhevm-3.5-rpms Red Hat Enterprise Virtualization Manager 3.5
> (RPMs)
> rhel-6-server-rpms Red Hat Enterprise Linux 6 Server (RPMs)
> rhel-6-server-satellite-tools-6-beta-rpms Red Hat Satellite Tools 6 Beta
> (for RHEL 6 Server) (RPMs)
> rhel-6-server-supplementary-rpms
> 
> Expected results:
> 
> rhel-x86_64-rhev-mgmt-agent-6 Red Hat Enterprise Virt Management Agent (v.6
> for x86_64)
> rhel-x86_64-server-6 Red Hat Enterprise Linux Server (v. 6 for 64-bit x86_64)
> rhel-6-server-satellite-tools-6-beta-rpms Red Hat Satellite Tools 6 Beta
> (for RHEL 6 Server) (RPMs)
> 
> Additional info:
> 
> Remove jb-eap-6-for-rhel-6-server-rpms
> Remove rhel-6-server-rhevm-3.5-rpms
> 
> Please doublecheck list is correct

Where does your list come from?
Comment 3 Jesus M. Rodriguez 2015-12-07 14:24:56 EST
RHEV-M (engine) documentation states to enable these repos:

# subscription-manager repos --enable=rhel-6-server-rpms
# subscription-manager repos --enable=rhel-6-server-supplementary-rpms
# subscription-manager repos --enable=rhel-6-server-rhevm-3.5-rpms
# subscription-manager repos --enable=jb-eap-6-for-rhel-6-server-rpms

After deploying a RHEV-M (engine) with RHCI the following repos are listed:

rhel-6-server-rpms
rhel-6-server-supplementary-rpms
rhel-6-server-rhevm-3.5-rpms
jb-eap-6-for-rhel-6-server-rpms
rhel-6-server-satellite-tools-6.1-rpms

The satellite tools is needed by RHCI.
Comment 4 Jesus M. Rodriguez 2015-12-07 14:28:35 EST
RHEV-H (hypervisor) doesn't state what repos it should have (at least I couldn't find them on the documentation site.

After deploying a RHEV-H (hypervisor) with RHCI the following repos are listed:

rhel-6-server-rpms
rhel-6-server-rhev-mgmt-agent-rpms
rhel-6-server-satellite-tools-6.1-rpms
Comment 5 Tasos Papaioannou 2016-01-26 16:39:14 EST
Verified on RHEL-7-20160125.t.0.

Note You need to log in before you can comment on or make changes to this bug.